local gr, pi  = love.graphics, math.pi
m = require 'monitor'

function love.load()
	love.window.setMode( 800, 600 )
	love.graphics.setBackgroundColor( 0, 0, 55, 255 )
	angle		= 0
	watch		= true
	fontsize	= 12
	font		= gr.newFont( fontsize )
	gr.setFont(font)
	end

function love.draw()
	gr.setColor( 255, 255, 255, 255 )
	local fps	= love.timer.getFPS( )
	m.watch.fps = fps
	gr.circle( 'line', X, Y, 20 )
	if watch then m.watchBox( 250 ) end
	m.watch['draw x']	= X
	m.watch['draw y']	= Y
	m.watch.watch		= type( watch )
	end

function love.update( dt )
	m.watch.dt	= dt
	angle		= angle < 2 * pi and angle + dt or 0
	m.watch.angle = angle
	X, Y		= rotate( angle, 400, 300, 200 )
	m.watch['update x']	= X
	m.watch.y	= Y
	end

function love.keypressed( key )
	if key == "escape" then love.event.quit() end
	if key == 'w' then watch = not watch end
	m.watch.keypressed = key
	end

function love.mousepressed(x, y, button)
	m.watch[ 'mouse x' ] = x
	m.watch[ 'mouse y' ] = y
	m.watch[ 'button' ] = button
	end

function rotate( a, cx, cy, r )
	m.watch.a = a
	local x	= r * math.cos( a ) + cx
	local y	= r * math.sin( a ) + cy
	return math.floor(x),math.floor(y)
	end
